Skip to Content
Customers

Update Contact

Accesso

Membro dell’organizzazione con questo permesso:

  • customers:write

Una chiave API con scope deve avere il permesso anche tra i suoi scope.

PATCH
/orgs/{organizationId}/contacts/{id}

Updates an existing contact with partial data. Omitted fields stay unchanged; null or an empty string clears a nullable field.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Request Body

application/json
  1. body
firstName?string
Length1 <= length
lastName?string|null
email?|unknown|null
phone?string|null
relation?|null
relationOther?string|null
birthday?|null
address?string|null
birthplace?string|null
profession?string|null
personalNumber?string|null
comments?string|null
isEmergencyContact?boolean
mentionOnInvoice?boolean
locale?string|null
country?string|null

Response Body

OK

application/json
  1. response
Example Request
curl -X PATCH 'https://api.tillor.eu/orgs//contacts/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null